Hermos API

List Webhook Endpoint Deliveries

Deliveries to one endpoint, newest first.

GET/webhook_endpoints/{id}/deliveries

Deliveries to one endpoint, newest first.

Authorization

__Host-hms_session<token>

In: cookie

Path Parameters

id*string

Opaque webhook endpoint ID.

Match^whk_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
status?string

Filter by delivery status; waiting means pending or retrying.

Value in

  • "pending"
  • "succeeded"
  • "retrying"
  • "exhausted"
  • "canceled"
  • "waiting"

Response Body

application/json

application/json

curl -X GET "https://example.com/webhook_endpoints/string/deliveries"
{  "data": [    {      "id": "string",      "object": "event_delivery",      "livemode": true,      "created_at": "2019-08-24T14:15:22Z",      "endpoint_id": "string",      "event_id": "string",      "event": {        "type": "string",        "occurred_at": null      },      "status": "pending",      "attempt_count": 0,      "next_attempt_at": "2019-08-24T14:15:22Z",      "last_status_code": 0,      "last_error_class": "timeout",      "last_response_ms": 0,      "delivered_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}